Package Details: zoiper 5.3.4-1

Git Clone URL: https://aur.archlinux.org/zoiper.git (read-only)
Package Base: zoiper
Description: a SIP and IAX2 VoIP softphone
Upstream URL: https://www.zoiper.com/
Licenses: custom
Submitter: ava1ar
Maintainer: severach
Last Packager: severach
Votes: 55
Popularity: 0.121401
First Submitted: 2009-10-15 10:31
Last Updated: 2019-10-18 00:34

Latest Comments

1 2 3 4 5 6 ... Next › Last »

aibo commented on 2019-10-17 13:38

On the official website the version for download is 5.3.4 now.

DL0 commented on 2019-10-14 17:17

@qchto - Thanks for the solution. This worked fine for me. I used what appeared to be a personalized link to the new version in an email Zoiper sent registered users on September 25. I wasn't able to find any other links to the new version.

webdawg commented on 2019-09-30 19:34

I wonder if 5.3.3 is beta or something. I just went to the site to download the latest, and 5.2.8 was the latest.

I did complain to the company that there stuff was messed up. I wonder if they fixed it.

Musikolo commented on 2019-09-29 20:31

@severach, also having the font issue described below. As reported by @qcht, if version 5.3.3 is available and it solves the problem, can it be used?

Thank you!

qchto commented on 2019-09-25 17:27

Had the same font config error reported by webdawg and stef204 below, but solved by reinstalling manually refering to a newer version (downloaded by using ./zoipdl.sh in the repo folder) by replacing this line in PKGBUILD:

_srcfile="${pkgname}${pkgver%%.*}_${pkgver}_${CARCH:-}.tar.xz"

with the name of the file downloaded (in my case):

_srcfile="zoiper5_5.3.3_x86_64.tar.xz"

After doing this zoiper started normally (in the newest version) maintaining my previous config.

webdawg commented on 2019-08-12 15:56

I have the same font config error, and I agree it is something that is broken with zoiper. The same error comes up when it is broken in web browsers, and it has always been something that needed to be patched or fixed upstream.

stef204 commented on 2019-08-07 11:18

this now crashes at launch with:
% zoiper

APP Started! [ PID: 22773 ]
APP Started! [ PID: 22775 ]
APP Started! [ PID: 22821 ]
Fontconfig warning: "/etc/fonts/fonts.conf", line 5: unknown element "its:rules"
Fontconfig warning: "/etc/fonts/fonts.conf", line 6: unknown element "its:translateRule"
Fontconfig error: "/etc/fonts/fonts.conf", line 6: invalid attribute 'translate'
........
Full error message is here: https://paste.xinu.at/2BmSYJ/

This seems to be Zoiper/Arch related as those font configs are default for Arch. The Zoiper included here is not actually compiled locally since I guess it is a prop binary so looks like the errors need to be addressed with a patch?
Have tried it on 2 separate Arch installs (same result.)

mezcalit0x7a1 commented on 2019-07-12 20:49

Hey wibort, I had the same problem.

$ makepkg -si ==> ERROR: A failure occurred in build().

So I did... $ sh zoipdl.sh $ makepkg -si

and it installed well.

wibort commented on 2019-06-13 19:19

I am trying to install the package but it generates an error Error: there was a failure in build ().

severach commented on 2019-05-16 03:51

The .sh is integrated into the build script. It's just turned off (and slightly broken). "All sorts of hacks stopped working" because they got too popular. Will enabling automatic download make this .sh popular enough to block? I don't care to find out. Some will use the browser and others the shell script. That helps keep the .sh unpopular enough so we that like it don't get cut off.

Scooping from ~/Downloads has proven to be a success for jdk8 jre11 jdk11. I've added that and other improvements to come out in the next version.